org.apache.felix.gogo.jline

## Class Procedural

- java.lang.Object
- - org.apache.felix.gogo.jline.Procedural

    public class Procedural
    extends Object

### Nested Class Summary

Nested Classes
`protected static class` `Procedural.BreakException`
`protected static class` `Procedural.ContinueException`
`protected static class` `Procedural.HelpException`
`protected static class` `Procedural.OptionException`
`protected static class` `Procedural.ThrownException`

### Constructor Summary

Constructors
Constructor and Description
`Procedural()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `_main(org.apache.felix.service.command.CommandSession session, Object[] argv)`
`protected Object` `doBreak(org.apache.felix.service.command.CommandSession session, org.apache.felix.service.command.Process process, Object[] argv)`
`protected Object` `doContinue(org.apache.felix.service.command.CommandSession session, org.apache.felix.service.command.Process process, Object[] argv)`
`protected List<Object>` `doEach(org.apache.felix.service.command.CommandSession session, org.apache.felix.service.command.Process process, Object[] argv)`
`protected Object` `doIf(org.apache.felix.service.command.CommandSession session, org.apache.felix.service.command.Process process, Object[] argv)`
`protected Boolean` `doNot(org.apache.felix.service.command.CommandSession session, org.apache.felix.service.command.Process process, Object[] argv)`
`protected Object` `doThrow(org.apache.felix.service.command.CommandSession session, org.apache.felix.service.command.Process process, Object[] argv)`
`protected Object` `doTry(org.apache.felix.service.command.CommandSession session, org.apache.felix.service.command.Process process, Object[] argv)`
`protected Object` `doUntil(org.apache.felix.service.command.CommandSession session, org.apache.felix.service.command.Process process, Object[] argv)`
`protected Object` `doWhile(org.apache.felix.service.command.CommandSession session, org.apache.felix.service.command.Process process, Object[] argv)`
`protected String` `get(org.apache.felix.service.command.CommandSession session, String name)`
`protected org.jline.builtins.Options` `parseOptions(org.apache.felix.service.command.CommandSession session, String[] usage, Object[] argv)`
`protected Object` `run(org.apache.felix.service.command.CommandSession session, org.apache.felix.service.command.Process process, Object[] argv)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Procedural

    public Procedural()

### Method Detail

#### _main

    public Object _main(org.apache.felix.service.command.CommandSession session,
                        Object[] argv)
                 throws Throwable

Throws:
  `Throwable`

#### parseOptions

    protected org.jline.builtins.Options parseOptions(org.apache.felix.service.command.CommandSession session,
                                                      String[] usage,
                                                      Object[] argv)
                                               throws Procedural.HelpException,
                                                      Procedural.OptionException

Throws:
  `Procedural.HelpException`
  `Procedural.OptionException`

#### get

    protected String get(org.apache.felix.service.command.CommandSession session,
                         String name)

#### run

    protected Object run(org.apache.felix.service.command.CommandSession session,
                         org.apache.felix.service.command.Process process,
                         Object[] argv)
                  throws Throwable

Throws:
  `Throwable`

#### doEach

    protected List<Object> doEach(org.apache.felix.service.command.CommandSession session,
                                  org.apache.felix.service.command.Process process,
                                  Object[] argv)
                           throws Exception

Throws:
  `Exception`

#### doIf

    protected Object doIf(org.apache.felix.service.command.CommandSession session,
                          org.apache.felix.service.command.Process process,
                          Object[] argv)
                   throws Exception

Throws:
  `Exception`

#### doNot

    protected Boolean doNot(org.apache.felix.service.command.CommandSession session,
                            org.apache.felix.service.command.Process process,
                            Object[] argv)
                     throws Exception

Throws:
  `Exception`

#### doThrow

    protected Object doThrow(org.apache.felix.service.command.CommandSession session,
                             org.apache.felix.service.command.Process process,
                             Object[] argv)
                      throws Procedural.ThrownException,
                             Procedural.HelpException,
                             Procedural.OptionException

Throws:
  `Procedural.ThrownException`
  `Procedural.HelpException`
  `Procedural.OptionException`

#### doTry

    protected Object doTry(org.apache.felix.service.command.CommandSession session,
                           org.apache.felix.service.command.Process process,
                           Object[] argv)
                    throws Exception

Throws:
  `Exception`

#### doWhile

    protected Object doWhile(org.apache.felix.service.command.CommandSession session,
                             org.apache.felix.service.command.Process process,
                             Object[] argv)
                      throws Exception

Throws:
  `Exception`

#### doUntil

    protected Object doUntil(org.apache.felix.service.command.CommandSession session,
                             org.apache.felix.service.command.Process process,
                             Object[] argv)
                      throws Exception

Throws:
  `Exception`

#### doBreak

    protected Object doBreak(org.apache.felix.service.command.CommandSession session,
                             org.apache.felix.service.command.Process process,
                             Object[] argv)
                      throws Exception

Throws:
  `Exception`

#### doContinue

    protected Object doContinue(org.apache.felix.service.command.CommandSession session,
                                org.apache.felix.service.command.Process process,
                                Object[] argv)
                         throws Exception

Throws:
  `Exception`